'\"
'\" This man page was derived from the tk_stripchart.3 man page.
'\" by Francis Gardner.
'\"
'\" 13/10/92 (or 10/13/92 if you are American)
'\"
'\" Copyright 1990 Regents of the University of California
'\" Permission to use, copy, modify, and distribute this
'\" documentation for any purpose and without fee is hereby
'\" granted, provided that this notice appears in all copies.
'\" The University of California makes no representations about
'\" the suitability of this material for any purpose.  It is
'\" provided "as is" without express or implied warranty.
'\"
'/"
.so man.macros
.HS dial cmds
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
dial \- Create and manipulate dial widgets
.SH SYNOPSIS
\fBvu_dial\fI \fIpathName \fR?\fIoptions\fR?
.SH "STANDARD OPTIONS"
.LP
.nf
.ta 4c 8c 12c
\fBborderWidth\fR	\fBfont\fR	\fBrelief\fR	\fBcursor\fR
\fBbackground\fR
.fi
.LP
See the ``options'' manual entry for details on the standard options.
.SH "WIDGET-SPECIFIC OPTIONS"
.ta 4c
.LP
.nf
Name:   \fBneedlecolor\fR
Class:  \fBForeground\fR
Command-Line Switch:    \fB\-needlecolor\fR
.fi
.IP
Specifies the colour that the dial needle should be rendered.  On a
colour display this defaults to red and on a monochrome display the
default is black.
.LP
.nf
Name:   \fBtextcolor\fR
Class:  \fBForeground\fR
Command-Line Switch:    \fB\-textcolor\fR
.fi
.IP
Specifies the colour that dial text should be rendered.  On both
colour and monochrome displays this defaults to black.
.LP
.nf
Name:   \fBtickcolor\fR
Class:  \fBForeground\fR
Command-Line Switch:    \fB\-tickcolor\fR
.fi
.IP
Specifies the colour that dial ticks should be rendered.  On a
colour display this defaults to blue2 and on a monochrome display the
default is black.
.LP
.nf
Name:   \fBmajortickcolor\fR
Class:  \fBForeground\fR
Command-Line Switch:    \fB\-majortickcolor\fR
.fi
.IP
Specifies the colour that dial major ticks should be rendered.  On a
colour display this defaults to blue4 and on a monochrome display the
default is black.
.LP
.nf
Name:   \fBcommand\fR
Class:  \fBCommand\fR
Command-Line Switch:    \fB\-command\fR
.fi
.IP
This is a Tcl command to be executed periodically when callback is started.
.LP
.nf
Name:   \fBinterval\fR
Class:  \fBInterval\fR
Command-Line Switch:    \fB\-interval\fR
.fi
.IP
This specifies the time between sucessive callbacks, in milliseconds.
.LP
.nf
Name:   \fBaltbackground\fR
Class:  \fBBackground\fR
Command-Line Switch:    \fB\-altbackground\fR
.fi
.IP
Specifies the alternative background colour.  The default colour on a colour
display is red2 and black on a monoshrome display.
.LP
.nf
Name:   \fBaltneedlecolor\fR
Class:  \fBForeground\fR
Command-Line Switch:    \fB\-altneedlecolor\fR
.fi
.IP
Specifies the alternative needle colour.  The default colour on a colour
display is green and white on a monoshrome display. 
.LP
.nf
Name:   \fBalttextcolor\fR
Class:  \fBForeground\fR
Command-Line Switch:    \fB\-alttextcolor\fR
.fi
.IP
Specifies the alternative text colour.  The default colour on both a colour
and monochrome display is white.
.LP
.nf
Name:   \fBalttickcolor\fR
Class:  \fBForeground\fR
Command-Line Switch:    \fB\-alttickcolor\fR
.fi
.IP
Specifies the alternative tick colour.  The default colour on a colour
display is gray70 and white on a monoshrome display.
.LP
.nf
Name:   \fBaltmajortickcolor\fR
Class:  \fBForeground\fR
Command-Line Switch:    \fB\-altmajortickcolor\fR
.fi
.IP
Specifies the alternative major tick colour.  The default colour is gray70
on a colour display and white on a monochrome display.
.LP
.nf
Name:   \fBshowvalue\fR
Class:  \fBShowvalue\fR
Command-Line Switch:    \fB\-showvalue\fR
.fi
.IP
This boolean flag specifies whether or not text below the needle should be
displayed.  This text is the current value of the dial.  Defaults to true.
.LP
.nf
Name:   \fBminvalue\fR
Class:  \fBMinvalue\fR
Command-Line Switch:    \fB\-minvalue\fR
.fi
.IP
Specifies the minimum value the dial can display.  Defaults to 0.
.LP
.nf
Name:   \fBmaxvalue\fR
Class:  \fBMaxvalue\fR
Command-Line Switch:    \fB\-maxvalue\fR
.fi
.IP
Specifies the maximum value the dial can display.  Defaults to 1000.
.LP
.nf
Name:   \fBbegindegree\fB
Class:  \fBBegindegree\fB
Command-Line Switch:    \fB-begindegree\fB
.fi
.IP
Specifies the angle at which the needle should point when it is displaying
the minvalue.  This should be a value between 0 and 360 (degrees) inclusive.
0 (and 360) are straight up, 180 is straight down and so on.  The default
begin angle is 300 degrees.
.LP
.nf
Name:   \fBenddegree\fB
Class:  \fBEnddegree\fB
Command-Line Switch:    \fB-enddegree\fB
.fi
.IP
Specifies the angle at which the needle should point when it is displaying
the maxvalue.  This should be a value between 0 and 360 (degrees) inclusive.
The default begin angle is 60 degrees.
.LP
.nf
Name:   \fBtitle\fR
Class:  \fBTitle\fR
Command-Line Switch:    \fB\-title\fR
.fi
.IP
This string is placed on the top of the widget as the widgets title.  By
default there is no title.  Specifying a blank title ("") will remove the
title.
.LP
.nf
Name:   \fBradius\fR
Class:  \fBRadius\fR
Command-Line Switch:    \fB\-radius\fR
.fi
.IP
Specifies the radius of the dial needle in pixels.  Defaults to 60 pixels.
.LP
.nf
Name:   \fBnumticks\fR
Class:  \fBNumticks\fR
Command-Line Switch:    \fB\-numticks\fR
.fi
.IP
Specifies the number of ticks that should be displayed if ticks are being
shown.  Default is 30.  This option should really be tickinterval.
.LP
.nf
Name:   \fBmajorticks\fR
Class:  \fBMajorticks\fR
Command-Line Switch:    \fB\-majorticks\fR
.fi
.IP
Specifies the frequency of major ticks.  If the argument is '1' then all
ticks are major ticks.  If the argument is 'x', every x'th tick is a major
tick.
.LP
.nf
Name:   \fBdata\fR
Class:  \fBData\fR
Command-Line Switch:    \fB\-data\fR
.fi
.IP
This is a string that can be associated with each widget.
.LP
.nf
Name:   \fBuserbits\fR
Class:  \fBUserbits\fR
Command-Line Switch:    \fB\-userbits\fR
.fi
.IP
This is an integer that can be associated with each widget.
.BE

.SH DESCRIPTION
.PP
The \fBvu_dial\fR command creates a new window (given by the
\fIpathName\fR argument) and makes it into a dial widget.
Additional
options, described above, may be specified on the command line
or in the option database
to configure aspects of the dial such as its colors, font,
text, and initial relief.  The \fBvu_dial\fR command returns its
\fIpathName\fR argument.  At the time this command is invoked,
there must not exist a window named \fIpathName\fR, but
\fIpathName\fR's parent must exist.
.PP
A dial is a widget
for displaying data.  It has the appearance of a UV meter.

.SH "WIDGET COMMAND"
.PP
The \fBvu_dial\fR command creates a new Tcl command whose
name is \fIpathName\fR.  This
command may be used to invoke various
operations on the widget.  It has the following general form:
.DS C
\fIpathName option \fR?\fIarg arg ...\fR?
.DE
\fIOption\fR and the \fIarg\fRs
determine the exact behavior of the command.  The following
commands are possible for dial widgets:
.TP
\fIpathName \fBset\fR ?\fIvalue\fR?
Add a new needle with the specified value to the dial.
.TP
\fIpathName \fBconfigure\fR ?\fIoption\fR? ?\fIvalue option value ...\fR?
Query or modify the configuration options of the widget.
If no \fIoption\fR is specified, returns a list describing all of
the available options for \fIpathName\fR (see \fBTk_ConfigureInfo\fR for
information on the format of this list).  If \fIoption\fR is specified
with no \fIvalue\fR, then the command returns a list describing the
one named option (this list will be identical to the corresponding
sublist of the value returned if no \fIoption\fR is specified).  If
one or more \fIoption\-value\fR pairs are specified, then the command
modifies the given widget option(s) to have the given value(s);  in
this case the command returns an empty string.
\fIOption\fR may have any of the values accepted by the \fBvu_dial\fR
command.
.TP
\fIpathName \fBget\fR
Returns the current value of the dial.
.TP
\fIpathName \fBstart\fR
Starts the callback routine.  The Tcl command given in the -command switch
is executed periodically .  The period is given in the -interval switch
(in seconds).
.TP
\fIpathName \fBstop\fR
Stops the callback routine.
.TP
\fIpathName \fBswap\fR
Swaps the current colour scheme with the alternative colour scheme and
redisplays the widget with this new colour scheme.
.TP
\fIpathName \fBreplace\fP ?\fIoption\fR? ?\fIvalue option value ...\fR?
Saves the current colour scheme (in the alternative colour scheme) and
reconfigures the widget with the specified options.
.TP

.SH KEYWORDS
dial, widget
