/* tkMeters.c - build a meters extension for Tk */

#include "metersConfig.h"
#include <tk.h>

/* Prototypes for each of the Meters widgets. */
extern int              Tk_BargraphCmd _ANSI_ARGS_((ClientData clientData,
                            Tcl_Interp *interp, int argc, char **argv));
extern int              Tk_DialCmd _ANSI_ARGS_((ClientData clientData,
                            Tcl_Interp *interp, int argc, char **argv));
extern int              Tk_PieCmd _ANSI_ARGS_((ClientData clientData,
                            Tcl_Interp *interp, int argc, char **argv));
extern int              Tk_StripchartCmd _ANSI_ARGS_((ClientData clientData,
                            Tcl_Interp *interp, int argc, char **argv));


/* initialisation procedure for VUW Meters set, under tcl7.1 / tk3.4 .*/
int
Meters_Init(interp) 
     Tcl_Interp *interp;
{
  Tk_Window tkwin;

  /* Get a handle on the main window. */
  if (!(tkwin = Tk_MainWindow(interp))) {
    return TCL_ERROR;
  }
  
  Tcl_CreateCommand(interp,"vu_bargraph", Tk_BargraphCmd,
		    (ClientData) tkwin, (void (*)()) NULL);
  Tcl_CreateCommand(interp,"vu_dial", Tk_DialCmd,
		    (ClientData) tkwin, (void (*)()) NULL);
  Tcl_CreateCommand(interp,"vu_pie", Tk_PieCmd,
		    (ClientData) tkwin, (void (*)()) NULL);
  Tcl_CreateCommand(interp,"vu_stripchart", Tk_StripchartCmd,
		    (ClientData) tkwin, (void (*)()) NULL);
  return TCL_OK;
}
